---
title: Glowbox Design
name: Glowbox Design
members: 
website: http://www.glowboxdesign.co.uk
email: contact@glowboxdesign.co.uk
twitter: 
github: 
telephone: 
address: London
latitude: 51.5073219
longitude: -0.1276474
clients: 
- creating-freedom
- participatory-economics-uk
- stand-up-for-labour
services: 
- artwork
- branding-and-identity
- development
- graphic-design
- illustration
- logo-design
- user-research
- web-design
technologies: 
- after-effects
- htmlcss
- adobe-illustrator
- indesign
- javascript
- photoshop
- wordpress
---
